import {defHttp} from '/@/utils/http/axios';
import { useMessage } from "/@/hooks/web/useMessage";

const { createConfirm } = useMessage();

enum Api {
  list = '/audit/auditProjectReportConfig/list',
  save='/audit/auditProjectReportConfig/add',
  edit='/audit/auditProjectReportConfig/edit',
  deleteOne = '/audit/auditProjectReportConfig/delete',
  deleteBatch = '/audit/auditProjectReportConfig/deleteBatch',
  importExcel = '/audit/auditProjectReportConfig/importExcel',
  exportXls = '/audit/auditProjectReportConfig/exportXls',
  listAll = '/audit/auditProjectReportConfig/listAll',
  batchSaveOrUpdate = '/audit/auditProjectReportConfig/batchSaveOrUpdate',

  queryByProjectId = '/audit/auditProjectReportConfig/queryByProjectId',
}
/**
 * 导出api
 * @param params
 */
export const getExportUrl = Api.exportXls;
/**
 * 导入api
 */
export const getImportUrl = Api.importExcel;
/**
 * 列表接口
 * @param params
 */
export const list = (params) =>
  defHttp.get({url: Api.list, params});

export const listAll = (params) =>
  defHttp.get({url: Api.listAll, params});

/**
 * 删除单个
 */
export const deleteOne = (params,handleSuccess) => {
  return defHttp.delete({url: Api.deleteOne, params}, {joinParamsToUrl: true}).then(() => {
    handleSuccess();
  });
}
/**
 * 批量删除
 * @param params
 */
export const batchDelete = (params, handleSuccess) => {
  createConfirm({
    iconType: 'warning',
    title: '确认删除',
    content: '是否删除选中数据',
    okText: '确认',
    cancelText: '取消',
    onOk: () => {
      return defHttp.delete({url: Api.deleteBatch, data: params}, {joinParamsToUrl: true}).then(() => {
        handleSuccess();
      });
    }
  });
}
/**
 * 保存或者更新
 * @param params
 */
export const saveOrUpdate = (params, isUpdate) => {
  let url = isUpdate ? Api.edit : Api.save;
  return defHttp.post({url: url, params});
}

/**
 * 批量保存
 * @param params
 */
export const batchSaveOrUpdate = (params) => {

  return defHttp.post({url: Api.batchSaveOrUpdate, params});
}


export const queryByProjectId = (params) =>
  defHttp.get({url: Api.queryByProjectId, params});